Subject: bug#22413: closed (Re: bug#22413: Git patch to resolve GZIP manpage inconsistency)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Jan 2016 14:25:02 +0000

Your bug report

#22413: Inconsistency in GZIP documentation of diagnostic output vs. manpage

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22413: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22413
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22413: Git patch to resolve GZIP manpage inconsistency
From: Jim Meyering <[email-masked]>
To: Jason Leschnik <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Jan 2016 22:24:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jan 22, 2016 at 9:09 PM, Jason Leschnik <[email-masked]> wrote:
>> However, before I push, are you sure you
>> want to use the email address you specified in that git header (see
>> below)?
>
> Hey Jim,
>
> *Doh* Definitely! My apologies for the sloppy local config. I'm fine with
> you changing it to the address I'm using now ([email-masked]).

No trouble.
Pushed as http://git.savannah.gnu.org/cgit/gzip.git/commit/?id=7608acdeef34543209730cfb9a235a5435fa09b8

Subject: Inconsistency in GZIP documentation of diagnostic output vs. manpage
From: Jason Leschnik <[email-masked]>
To: [email-masked]
Date: Wed, 20 Jan 2016 23:05:37 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed a minor inconsistency between the diagnostic output of gzip(1)
and what is documented in the manpage for the condition where gzip believes
the file has already been compressed "already has .gz suffix".

# Occurs in
----------------
GZIP Version: 1.6 (Compiled source from GNU mirror)
GZIP Version: 1.5 (Installed Binary on Debian 7.8)

# Reproduce
-----------------
touch example.gz && gzip example.gz

Compare this output to that of gzip(1) manpage corresponding to the error.

# Problem
--------------
Expected: gzip: example.gz already has .gz suffix -- no change
Got:          gzip: example.gz already has .gz suffix -- unchanged

# Files identified
----------------------
./gzip.doc
./gzip.1

Regards,
Jason.